Jittor cuda报错

安装环境:Windows 11,Miniconda 3, python 3.10.8
问题:安装之后运行python -m jittor.test.test_core和test_example正常,运行test_cuda时出现如下报错

[i 1220 15:20:20.052000 80 compiler.py:955] Jittor(1.3.6.4) src: c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor
[i 1220 15:20:20.071000 80 compiler.py:956] cl at C:\Users\lmc\.cache\jittor\msvc\VC\_\_\_\_\_\bin\cl.exe(19.29.30133)
[i 1220 15:20:20.071000 80 compiler.py:957] cache_path: C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default
[i 1220 15:20:20.076000 80 install_cuda.py:93] cuda_driver_version: [12, 0, 0]
[i 1220 15:20:20.090000 80 __init__.py:411] Found C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin\nvcc.exe(11.2.67) at C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin\nvcc.exe.
[i 1220 15:20:20.123000 80 compiler.py:1010] cuda key:cu11.2.67
[i 1220 15:20:20.124000 80 __init__.py:227] Total mem: 15.92GB, using 5 procs for compiling.
[i 1220 15:20:20.825000 80 jit_compiler.cc:28] Load cc_path: C:\Users\lmc\.cache\jittor\msvc\VC\_\_\_\_\_\bin\cl.exe
[i 1220 15:20:20.832000 80 init.cc:62] Found cuda archs: [86,]
[i 1220 15:20:20.929000 80 compile_extern.py:519] mpicc not found, distribution disabled.
[i 1220 15:20:22.422000 80 cuda_flags.cc:39] CUDA enabled.
[e 1220 15:20:24.973000 80 log.cc:565] cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc
my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
   Creating library C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.lib and object C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.exp
tmpxft_00004eec_00000000-19_my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) void __cdecl jittor::print_prefix(class std::basic_ostream<char,struct std::char_traits<char> > *)" (__imp_?print_prefix@jittor@@YAXPEAV?$basic_ostream@DU?$char_traits@D@std@@@std@@@Z) referenced in function "public: __cdecl jittor::Log::Log(char const * const,char,int)" (??0Log@jittor@@QEAA@QEBDDH@Z)
tmpxft_00004eec_00000000-19_my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) void __cdecl jittor::flush_log(void)" (__imp_?flush_log@jittor@@YAXXZ) referenced in function "public: void __cdecl jittor::Log::flush(void)" (?flush@Log@jittor@@QEAAXXZ)
tmpxft_00004eec_00000000-19_my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) bool jittor::g_supports_color" (__imp_?g_supports_color@jittor@@3_NA) referenced in function "public: __cdecl jittor::Log::Log(char const * const,char,int)" (??0Log@jittor@@QEAA@QEBDDH@Z)
C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.dll : fatal error LNK1120: 3 unresolved externals

[e 1220 15:20:27.356000 80 log.cc:565] cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc
my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
   Creating library C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.lib and object C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.exp
tmpxft_00002a68_00000000-19_my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) void __cdecl jittor::print_prefix(class std::basic_ostream<char,struct std::char_traits<char> > *)" (__imp_?print_prefix@jittor@@YAXPEAV?$basic_ostream@DU?$char_traits@D@std@@@std@@@Z) referenced in function "public: __cdecl jittor::Log::Log(char const * const,char,int)" (??0Log@jittor@@QEAA@QEBDDH@Z)
tmpxft_00002a68_00000000-19_my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) void __cdecl jittor::flush_log(void)" (__imp_?flush_log@jittor@@YAXXZ) referenced in function "public: void __cdecl jittor::Log::flush(void)" (?flush@Log@jittor@@QEAAXXZ)
tmpxft_00002a68_00000000-19_my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) bool jittor::g_supports_color" (__imp_?g_supports_color@jittor@@3_NA) referenced in function "public: __cdecl jittor::Log::Log(char const * const,char,int)" (??0Log@jittor@@QEAA@QEBDDH@Z)
C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.dll : fatal error LNK1120: 3 unresolved externals

E[e 1220 15:20:30.032000 80 log.cc:565] cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.cc
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.cc
curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.cc
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
   Creating library C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.lib and object C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.exp
tmpxft_00002634_00000000-19_curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) void __cdecl jittor::print_prefix(class std::basic_ostream<char,struct std::char_traits<char> > *)" (__imp_?print_prefix@jittor@@YAXPEAV?$basic_ostream@DU?$char_traits@D@std@@@std@@@Z) referenced in function "public: __cdecl jittor::Log::Log(char const * const,char,int)" (??0Log@jittor@@QEAA@QEBDDH@Z)
tmpxft_00002634_00000000-19_curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) void __cdecl jittor::flush_log(void)" (__imp_?flush_log@jittor@@YAXXZ) referenced in function "public: void __cdecl jittor::Log::flush(void)" (?flush@Log@jittor@@QEAAXXZ)
tmpxft_00002634_00000000-19_curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) bool jittor::g_supports_color" (__imp_?g_supports_color@jittor@@3_NA) referenced in function "public: __cdecl jittor::Log::Log(char const * const,char,int)" (??0Log@jittor@@QEAA@QEBDDH@Z)
C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.dll : fatal error LNK1120: 3 unresolved externals

E[e 1220 15:20:33.333000 80 log.cc:565] cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.cc
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.cc
__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.cc
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
cl : Command line warning D9025 : overriding '/EHa' with '/EHs'
   Creating library C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.lib and object C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.exp
tmpxft_00003358_00000000-19___opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) void __cdecl jittor::print_prefix(class std::basic_ostream<char,struct std::char_traits<char> > *)" (__imp_?print_prefix@jittor@@YAXPEAV?$basic_ostream@DU?$char_traits@D@std@@@std@@@Z) referenced in function "public: __cdecl jittor::Log::Log(char const * const,char,int)" (??0Log@jittor@@QEAA@QEBDDH@Z)
tmpxft_00003358_00000000-19___opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) void __cdecl jittor::flush_log(void)" (__imp_?flush_log@jittor@@YAXXZ) referenced in function "public: void __cdecl jittor::Log::flush(void)" (?flush@Log@jittor@@QEAAXXZ)
tmpxft_00003358_00000000-19___opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.obj : error LNK2019: unresolved external symbol "__declspec(dllimport) bool jittor::g_supports_color" (__imp_?g_supports_color@jittor@@3_NA) referenced in function "public: __cdecl jittor::Log::Log(char const * const,char,int)" (??0Log@jittor@@QEAA@QEBDDH@Z)
C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.dll : fatal error LNK1120: 3 unresolved externals

E[i 1220 15:20:33.334000 80 cuda_flags.cc:39] CUDA enabled.
[i 1220 15:20:33.359000 80 cuda_flags.cc:39] CUDA enabled.
.s
======================================================================
ERROR: test_cuda_custom_op (__main__.TestCuda)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\__init__.py", line 112, in inner
    ret = func(*args, **kw)
  File "C:\Users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\test\test_cuda.py", line 100, in test_cuda_custom_op
    na = a.data
RuntimeError: Wrong inputs arguments, Please refer to examples(help(jt.data)).

Types of your inputs are:
 self   = Var,

The function declarations are:
 inline DataView data()

Failed reason:[f 1220 15:20:24.974000 80 parallel_compiler.cc:329] Error happend during compilation:
 [Error] source file location:C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc
Compile operator(0/1)failed:Op(2:0:1:1:i0:o1:s0,my_cuda->3)

Reason: [f 1220 15:20:24.974000 80 log.cc:608] Check failed ret(2) == 0(0) Run cmd failed: "C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin\nvcc.exe" "C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc"          -shared  -L"c:\users\lmc\miniconda3\envs\jittor\libs" -lpython310  -Xcompiler -EHa -Xcompiler -MD -Xcompiler -utf-8   -I"C:\Users\lmc\.cache\jittor\msvc\VC\include" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\ucrt" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\shared" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\um" -DNOMINMAX  -L"C:\Users\lmc\.cache\jittor\msvc\VC\lib" -L"C:\Users\lmc\.cache\jittor\msvc\win10_kits\lib\um\x64" -L"C:\Users\lmc\.cache\jittor\msvc\win10_kits\lib\ucrt\x64"  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\src" -I"c:\users\lmc\miniconda3\envs\jittor\include" -DHAS_CUDA -DIS_CUDA -I"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\include" -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern\cuda\inc"  -lcudart -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\lib\x64" -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin"  -x cu --cudart=shared -ccbin="C:\Users\lmc\.cache\jittor\msvc\VC\_\_\_\_\_\bin\cl.exe" --use_fast_math  -w  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern/cuda/inc"  -I"C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\custom_ops"  -L"C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\custom_ops" -l"gen_ops_my_cuda.cp310-win_amd64"  -o "C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.dll" -Xlinker -EXPORT:"?jit_run@MyCudaOp@jittor@@QEAAXXZ"


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\__init__.py", line 111, in inner
    with self:
  File "C:\Users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\__init__.py", line 138, in __exit__
    setattr(flags, k, v)
RuntimeError: Wrong inputs arguments, Please refer to examples(help(jt.Flags.use_cuda)).

Types of your inputs are:
 self   = Flags,
 arg    = int,

The function declarations are:
 void _set_use_cuda(int v)
 void _set_use_cuda(bool v)

Failed reason:[f 1220 15:20:27.356000 80 parallel_compiler.cc:329] Error happend during compilation:
 [Error] source file location:C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc
Compile operator(0/1)failed:Op(2:0:1:1:i0:o1:s0,my_cuda->3)

Reason: [f 1220 15:20:27.356000 80 log.cc:608] Check failed ret(2) == 0(0) Run cmd failed: "C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin\nvcc.exe" "C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.cc"          -shared  -L"c:\users\lmc\miniconda3\envs\jittor\libs" -lpython310  -Xcompiler -EHa -Xcompiler -MD -Xcompiler -utf-8   -I"C:\Users\lmc\.cache\jittor\msvc\VC\include" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\ucrt" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\shared" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\um" -DNOMINMAX  -L"C:\Users\lmc\.cache\jittor\msvc\VC\lib" -L"C:\Users\lmc\.cache\jittor\msvc\win10_kits\lib\um\x64" -L"C:\Users\lmc\.cache\jittor\msvc\win10_kits\lib\ucrt\x64"  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\src" -I"c:\users\lmc\miniconda3\envs\jittor\include" -DHAS_CUDA -DIS_CUDA -I"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\include" -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern\cuda\inc"  -lcudart -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\lib\x64" -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin"  -x cu --cudart=shared -ccbin="C:\Users\lmc\.cache\jittor\msvc\VC\_\_\_\_\_\bin\cl.exe" --use_fast_math  -w  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern/cuda/inc"  -I"C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\custom_ops"  -L"C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\custom_ops" -l"gen_ops_my_cuda.cp310-win_amd64"  -o "C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\my_cuda__T_float32__JIT_1__JIT_cuda_1__index_t_int32_hash_d985a28dcb828b8f_op.dll" -Xlinker -EXPORT:"?jit_run@MyCudaOp@jittor@@QEAAXXZ"


======================================================================
ERROR: test_cuda_flags (__main__.TestCuda)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\__init__.py", line 112, in inner
    ret = func(*args, **kw)
  File "C:\Users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\test\test_cuda.py", line 25, in test_cuda_flags
    a.sync()
RuntimeError: Wrong inputs arguments, Please refer to examples(help(jt.sync)).

Types of your inputs are:
 self   = Var,
 args   = (),

The function declarations are:
 VarHolder* sync(bool device_sync = false, bool weak_sync = true)

Failed reason:[f 1220 15:20:30.032000 80 parallel_compiler.cc:329] Error happend during compilation:
 [Error] source file location:C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.cc
Compile operator(0/1)failed:Op(7:0:1:1:i0:o1:s0,curand_random->8)

Reason: [f 1220 15:20:30.032000 80 log.cc:608] Check failed ret(2) == 0(0) Run cmd failed: "C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin\nvcc.exe" "C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.cc"          -shared  -L"c:\users\lmc\miniconda3\envs\jittor\libs" -lpython310  -Xcompiler -EHa -Xcompiler -MD -Xcompiler -utf-8   -I"C:\Users\lmc\.cache\jittor\msvc\VC\include" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\ucrt" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\shared" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\um" -DNOMINMAX  -L"C:\Users\lmc\.cache\jittor\msvc\VC\lib" -L"C:\Users\lmc\.cache\jittor\msvc\win10_kits\lib\um\x64" -L"C:\Users\lmc\.cache\jittor\msvc\win10_kits\lib\ucrt\x64"  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\src" -I"c:\users\lmc\miniconda3\envs\jittor\include" -DHAS_CUDA -DIS_CUDA -I"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\include" -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern\cuda\inc"  -lcudart -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\lib\x64" -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin"  -x cu --cudart=shared -ccbin="C:\Users\lmc\.cache\jittor\msvc\VC\_\_\_\_\_\bin\cl.exe" --use_fast_math  -w  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern/cuda/inc"  -I"C:\Users\lmc\miniconda3\envs\jittor\Lib\site-packages\jittor\extern\cuda\curand\inc"  -I"C:\Users\lmc\miniconda3\envs\jittor\Lib\site-packages\jittor\extern\cuda\curand\ops"  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern\cuda\inc" -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern\cuda\curand\inc" -lcurand -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin"  -L"C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\cuda" -llibcuda_extern   -L"C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\custom_ops" -l"gen_ops_curand_random.cp310-win_amd64"  -o "C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\curand_random__T_float32__R_uniform__JIT_1__JIT_cuda_1__index_t_int32_hash_5e4862fb808a2f93_op.dll" -Xlinker -EXPORT:"?jit_run@CurandRandomOp@jittor@@QEAAXXZ"


======================================================================
ERROR: test_cuda_fused_op (__main__.TestCuda)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\test\test_cuda.py", line 108, in test_cuda_fused_op
    ((a+a)*2).data
RuntimeError: Wrong inputs arguments, Please refer to examples(help(jt.data)).

Types of your inputs are:
 self   = Var,

The function declarations are:
 inline DataView data()

Failed reason:[f 1220 15:20:33.333000 80 parallel_compiler.cc:329] Error happend during compilation:
 [Error] source file location:C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.cc
Compile fused operator(0/1)failed:[Op(15:0:1:1:i0:o1:s0,array->16),Op(13:0:1:1:i2:o1:s0,binary.add->14),Op(19:0:1:1:i1:o1:s0,broadcast_to->20),Op(21:0:1:1:i2:o1:s0,binary.multiply->22),]

Reason: [f 1220 15:20:33.333000 80 log.cc:608] Check failed ret(2) == 0(0) Run cmd failed: "C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin\nvcc.exe" "C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.cc"          -shared  -L"c:\users\lmc\miniconda3\envs\jittor\libs" -lpython310  -Xcompiler -EHa -Xcompiler -MD -Xcompiler -utf-8   -I"C:\Users\lmc\.cache\jittor\msvc\VC\include" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\ucrt" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\shared" -I"C:\Users\lmc\.cache\jittor\msvc\win10_kits\include\um" -DNOMINMAX  -L"C:\Users\lmc\.cache\jittor\msvc\VC\lib" -L"C:\Users\lmc\.cache\jittor\msvc\win10_kits\lib\um\x64" -L"C:\Users\lmc\.cache\jittor\msvc\win10_kits\lib\ucrt\x64"  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\src" -I"c:\users\lmc\miniconda3\envs\jittor\include" -DHAS_CUDA -DIS_CUDA -I"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\include" -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern\cuda\inc"  -lcudart -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\lib\x64" -L"C:\Users\lmc\.cache\jittor\jtcuda\cuda11.2_cudnn8_win\bin"  -x cu --cudart=shared -ccbin="C:\Users\lmc\.cache\jittor\msvc\VC\_\_\_\_\_\bin\cl.exe" --use_fast_math  -w  -I"c:\users\lmc\miniconda3\envs\jittor\lib\site-packages\jittor\extern/cuda/inc"  -o "C:\Users\lmc\.cache\jittor\jt1.3.6\cl\py3.10.8\Windows-10-10.xb4\IntelRCoreTMi7x8f\default\cu11.2.67\jit\__opkey0_array__T_int32__o_2__opkey1_binary__Tx_int32__Ty_int32__Tz_int32__OP_add__opkey2____hash_81514109bdcd81c2_op.dll" -Xlinker -EXPORT:"?jit_run@FusedOp@jittor@@QEAAXXZ"


----------------------------------------------------------------------
Ran 5 tests in 10.938s

FAILED (errors=3, skipped=1)
1 Like

您好,已经确认并解决了该问题。请您更新 jittor 到 1.3.6.5 版本试试。

python -m pip install -U jittor